Konuyu Oyla:
  • Toplam: 0 Oy - Ortalama: 0
Share Thread:
opencv
#1
arkadaşlar raspim de c++ kullanmaya çalışaacğım.open cv ve qt creator kurdum.
bi örnek kod yazdım ancak derlerken kullandığım kütüphaneleri bulamadı .
anladığım kadarıyla open cv
İnclude diyerek çağıramıyorum.
qt creator kullanıyorum . Nasıl kütüphaneyi bulmasını sağlayabilirim
stdafx.h
cv.h
gibi kütüphaneler var .derlerken
stdafx.h no such file or directory
copilation terminated hatası alıyorum
Ara
Cevapla
#2
daha sonra hata almama rağmen
wget http://sourceforge.net/projects/opencvli...4a.tar.bz2

kodu yazdım ve http request waiting... 404 not found hatası aldım
Ara
Cevapla
#3
paket versiyonları değişmiş olabilir

apt-cache search libpython2

diye aratınca muhtemelen libpython2.7'yi göreceksiniz, o zaman kodu onunla değiştirmelisiniz.

Ayrıca tahmin edeceksiniz ki zaman boyunca o an güncel olan paketler eskiyebilir. Sitesinden dosyalara bakıp daha güncelini indirmelisiniz. Buna daha önceden değinmiştim..

http://sourceforge.net/projects/opencvli...encv-unix/

Bakın 2.4.10 var.

İndirme kodunu şöyle değiştirin yani:

Kod:
wget http://sourceforge.net/projects/opencvlibrary/files/opencv-unix/2.4.10/opencv-2.4.10.zip
Lütfen özel mesajla soru sormayın arkadaşlar. Cevaplamayacağım. Bu forumdaki ben de dahil herkese sorabilecekken neden bir kişiyle yetinesiniz ki?

-Dubito, Ergo Cogito, Ergo Sum
Ara
Cevapla
#4
@Arda abi ben c++ da kullanacağım.open cv ve qt creator kurdum.
bi örnek kod yazdım ancak derlerken kullandığım kütüphaneleri bulamadı .
anladığım kadarıyla open cv
İnclude diyerek çağıramıyorum.
qt creator kullanıyorum . Nasıl kütüphaneyi bulmasını sağlayabilirim
Ara
Cevapla
#5
kod da
stdafx.h
cv.h
gibi kütüphaneler var .derlerken
stdafx.h no such file or directory
copilation terminated hatası alıyorum
Ara
Cevapla
#6
Unix olanı, yani benim verdiğimi indirdiniz değil mi?

stfafx.h "visual studio" precompiled kütüphaneleri çünkü.

Ayrıca tüm bağımlı paketleri kurdunuz mu peki öncesinde ? standart bir C kütüphanesi o dosya sonuçta.
Lütfen özel mesajla soru sormayın arkadaşlar. Cevaplamayacağım. Bu forumdaki ben de dahil herkese sorabilecekken neden bir kişiyle yetinesiniz ki?

-Dubito, Ergo Cogito, Ergo Sum
Ara
Cevapla
#7
@Arda abi opencv den eminim ama c , g++ kısmında emin değilim. nasıl kontrol edebilirim
Ara
Cevapla
#8
Raspbian kütüphaneleri güncellediniz mi peki?

Kod:
sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade



Eğer bunları yapınca da sorun devam ediyorsa size tavsiyem birkaç eski sürümü ile denemeniz. 

Mesela benzer sebepten en yeni rtorrent de derlenemiyor Raspberry Pi'de.
Lütfen özel mesajla soru sormayın arkadaşlar. Cevaplamayacağım. Bu forumdaki ben de dahil herkese sorabilecekken neden bir kişiyle yetinesiniz ki?

-Dubito, Ergo Cogito, Ergo Sum
Ara
Cevapla
#9
muzama.jpg
abi güncellemede bu hatayı aldım
kernel ve yükseltmede hata almadım
Ara
Cevapla
#10
Kurulumunuzda stabilite sorunu var:

launchpad'den bir repo eklemişsiniz o hata veriyor. 

pj-assis/ppa

ne için olduğunu bilmiyorum, ama şöyle düzelebilir:

/etc/apt/sources.list dosyasını düzenleyerek

veya

etc/apt/sources.list/d/[bozukisim].list dosyasını silerek 

sorunu çözebilirsiniz.
Lütfen özel mesajla soru sormayın arkadaşlar. Cevaplamayacağım. Bu forumdaki ben de dahil herkese sorabilecekken neden bir kişiyle yetinesiniz ki?

-Dubito, Ergo Cogito, Ergo Sum
Ara
Cevapla


Hızlı Menü:


Konuyu Okuyanlar: 1 Ziyaretçi